package com.gingersoft.gsa.cloud.base.common.bean;

import android.graphics.Color;

import java.util.List;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-02-15
 * 修订历史：2020-02-15
 * 描述：
 */
public class PayMethod {

    private int id;
    private String name;

    private String NAME;
    private String NAME2;
    private String NAME3;
    private String PAYWAY;

    //*************自定義字段***************
    private double payMoney = 0.0;
    private double TipsPrice = 0.0;
    private int payModeTextColor = android.graphics.Color.parseColor("#000000");
    private int payMoneyTextColor = android.graphics.Color.parseColor("#000000");
    private int payModeTextSelectColor = android.graphics.Color.parseColor("#000000");
    private int payMoneyTextSelectColor = Color.parseColor("#000000");
    private int payModeSize = 18;
    private int payMoneySize = 18;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPayName() {
        return name;
    }

    public String getPAYWAY() {
        return PAYWAY;
    }

    public void setPAYWAY(String PAYWAY) {
        this.PAYWAY = PAYWAY;
    }

    public double getPayMoney() {
        return payMoney;
    }

    public void setPayMoney(double payMoney) {
        this.payMoney = payMoney;
    }

    public double getTipsPrice() {
        return TipsPrice;
    }

    public void setTipsPrice(double tipsPrice) {
        TipsPrice = tipsPrice;
    }

    public int getPayModeTextColor() {
        return payModeTextColor;
    }

    public void setPayModeTextColor(int payModeTextColor) {
        this.payModeTextColor = payModeTextColor;
    }

    public int getPayMoneyTextColor() {
        return payMoneyTextColor;
    }

    public void setPayMoneyTextColor(int payMoneyTextColor) {
        this.payMoneyTextColor = payMoneyTextColor;
    }

    public int getPayModeTextSelectColor() {
        return payModeTextSelectColor;
    }

    public void setPayModeTextSelectColor(int payModeTextSelectColor) {
        this.payModeTextSelectColor = payModeTextSelectColor;
    }

    public int getPayMoneyTextSelectColor() {
        return payMoneyTextSelectColor;
    }

    public void setPayMoneyTextSelectColor(int payMoneyTextSelectColor) {
        this.payMoneyTextSelectColor = payMoneyTextSelectColor;
    }

    public int getPayModeSize() {
        return payModeSize;
    }

    public void setPayModeSize(int payModeSize) {
        this.payModeSize = payModeSize;
    }

    public int getPayMoneySize() {
        return payMoneySize;
    }

    public void setPayMoneySize(int payMoneySize) {
        this.payMoneySize = payMoneySize;
    }
}
